// 桌台管理
import request from '@/utils/request'

/**
 * 台桌列表
 * @returns
 */
export function tbShopTableGet(params) {
    return request({
        url: `/api/tbShopTable`,
        method: 'get',
        params
    })
}

/**
 * 区域
 * @returns
 */
export function tbShopAreaGet(params) {
    return request({
        url: `/api/tbShopArea`,
        method: 'get',
        params
    })
}

/**
 * 增加区域
 * @returns
 */
export function tbShopArea(data, method) {
    return request({
        url: `/api/tbShopArea`,
        method: method,
        data
    })
}

/**
 * 删除区域
 * @returns
 */
export function tbShopAreaDelete(data) {
    return request({
        url: `/api/tbShopArea`,
        method: 'DELETE',
        data
    })
}

/**
 * 增加台桌
 * @returns
 */
export function tbShopTable(data, method) {
    return request({
        url: `/api/tbShopTable`,
        method: method,
        data
    })
}

/**
 * 删除台桌
 * @returns
 */
export function tbShopTableDelete(data) {
    return request({
        url: `/api/tbShopTable`,
        method: 'DELETE',
        data
    })
}


